Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class GenericIdentification32

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.GenericIdentification32

public class GenericIdentification32 extends Object

Java class for GenericIdentification32 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericIdentification32">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PartyType3Code" minOccurs="0"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PartyType4Code" minOccurs="0"/>
             <element name="ShrtNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected PartyType4Code`
`issr`
`protected String`
`shrtNm`
`protected PartyType3Code`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`GenericIdentification32()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`PartyType4Code`
`getIssr()`
Gets the value of the issr property.
`String`
`getShrtNm()`
Gets the value of the shrtNm property.
`PartyType3Code`
`getTp()`
Gets the value of the tp property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setIssr(PartyType4Code value)`
Sets the value of the issr property.
`void`
`setShrtNm(String value)`
Sets the value of the shrtNm property.
`void`
`setTp(PartyType3Code value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### tp

protected PartyType3Code tp

### issr

protected PartyType4Code issr

### shrtNm

protected String shrtNm

## Constructor Details

### GenericIdentification32

public GenericIdentification32()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getTp

public PartyType3Code getTp()
Gets the value of the tp property.

Returns:
  possible object is `PartyType3Code`

### setTp

public void setTp(PartyType3Code value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `PartyType3Code`

### getIssr

public PartyType4Code getIssr()
Gets the value of the issr property.

Returns:
  possible object is `PartyType4Code`

### setIssr

public void setIssr(PartyType4Code value)
Sets the value of the issr property.

Parameters:
  `value` - allowed object is `PartyType4Code`

### getShrtNm

public String getShrtNm()
Gets the value of the shrtNm property.

Returns:
  possible object is `String`

### setShrtNm

public void setShrtNm(String value)
Sets the value of the shrtNm property.

Parameters:
  `value` - allowed object is `String`